Ensure strings are null terminated when written from Dart (#4862)

* Update for Dart 2.x constants

* Fix strings, update test, add CHANGELOG for Dart
This commit is contained in:
Dan Field
2018-08-09 12:50:54 -04:00
committed by Wouter van Oortmerssen
parent 38a6623f34
commit fd40cc61a4
6 changed files with 46 additions and 32 deletions

View File

@@ -19,7 +19,7 @@ pushd "$(dirname $0)" >/dev/null
command -v pub >/dev/null 2>&1 || { echo >&2 "Dart tests require `pub` but it's not installed. Aborting."; exit 1; }
command -v dart >/dev/null 2>&1 || { echo >&2 "Dart tests require dart to be in path but it's not installed. Aborting."; exit 1; }
# output required files to the dart folder so that pub will be able to
# distrubte them and more people can more easily run the dart tests
# distribute them and more people can more easily run the dart tests
../flatc --dart -I include_test -o ../dart/test monster_test.fbs
cp monsterdata_test.mon ../dart/test
@@ -31,4 +31,4 @@ pub get
dart test/flat_buffers_test.dart
# cleanup
rm ../dart/test/monsterdata_test.mon
rm ../dart/test/monsterdata_test.mon